Bug 1128909

Summary: Newer version of mongodb is required for RHEL 7 setup
Product: Red Hat Satellite 6 Reporter: Og Maciel <omaciel>
Component: InstallerAssignee: Jason Montleon <jmontleo>
Status: CLOSED CURRENTRELEASE QA Contact: Og Maciel <omaciel>
Severity: high Docs Contact:
Priority: high    
Version: 6.0.3CC: bbuckingham, cwelton, jmontleo, sthirugn, xdmoon
Target Milestone: UnspecifiedKeywords: Triaged
Target Release: Unused   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-11 12:19:45 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1115190    

Description Og Maciel 2014-08-11 19:46:37 UTC
Description of problem:

Newer Pulp (2.4) which is shipped with Satellite 6 requires a newer version of mongodb than what's currently available (see https://pulp-user-guide.readthedocs.org/en/latest/installation.html#server for dependency information).

For RHEL 6 we're including:

# rpm -qa |grep mongo
libmongodb-2.4.6-2.el6sat.x86_64
mongodb-server-2.4.6-2.el6sat.x86_64
python-pymongo-2.5.2-3.el6sat.x86_64
mongodb-2.4.6-2.el6sat.x86_64

For RHEL 7 we have:

# rpm -qa |grep mongo
mongodb-server-2.2.4-2.el7sat.x86_64
mongodb-2.2.4-2.el7sat.x86_64
libmongodb-2.2.4-2.el7sat.x86_64
python-pymongo-2.5.2-3.el7sat.x86_64

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Og Maciel 2014-08-14 15:27:30 UTC
RHEL 6.5
--------
# rpm -qa |grep mongo
mongodb-2.4.6-2.el6sat.x86_64
python-pymongo-2.5.2-3.el6sat.x86_64
libmongodb-2.4.6-2.el6sat.x86_64
mongodb-server-2.4.6-2.el6sat.x86_64


RHEL 7.0
--------
rpm -qa |grep mongo
python-pymongo-2.5.2-3.el7sat.x86_64
mongodb-server-2.4.9-3.el7sat.x86_64
mongodb-2.4.9-3.el7sat.x86_64

Comment 5 Og Maciel 2014-08-15 00:53:41 UTC
The real test was to make sure that content, specially RHEL content could be synchronized.

VERIFIED

Build:
------
* Satellite-6.0.4-RHEL-6-20140813.2

Packages:
---------
* candlepin-0.9.23-1.el7.noarch
* candlepin-common-1.0.1-1.el7.noarch
* candlepin-guice-3.0-2_redhat_1.el7.noarch
* candlepin-scl-1-5.el7.noarch
* candlepin-scl-quartz-2.1.5-6.el7.noarch
* candlepin-scl-rhino-1.7R3-3.el7.noarch
* candlepin-scl-runtime-1-5.el7.noarch
* candlepin-selinux-0.9.23-1.el7.noarch
* candlepin-tomcat-0.9.23-1.el7.noarch
* elasticsearch-0.90.10-4.el7sat.noarch
* foreman-1.6.0.40-1.el7sat.noarch
* foreman-compute-1.6.0.40-1.el7sat.noarch
* foreman-gce-1.6.0.40-1.el7sat.noarch
* foreman-libvirt-1.6.0.40-1.el7sat.noarch
* foreman-ovirt-1.6.0.40-1.el7sat.noarch
* foreman-postgresql-1.6.0.40-1.el7sat.noarch
* foreman-proxy-1.6.0.27-1.el7sat.noarch
* foreman-selinux-1.6.0.6-1.el7sat.noarch
* foreman-vmware-1.6.0.40-1.el7sat.noarch
* katello-1.5.0-28.el7sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el7sat.noarch
* katello-installer-0.0.59-1.el7sat.noarch
* openldap-2.4.39-3.el7.x86_64
* pulp-katello-0.3-3.el7sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el7sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el7sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el7sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el7sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el7sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el7sat.noarch
* pulp-server-2.4.0-0.30.beta.el7sat.noarch
* python-ldap-2.4.6-6.el7.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el7sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el7sat.noarch
* rubygem-hammer_cli-0.1.1-11.el7sat.noarch
* rubygem-hammer_cli_foreman-0.1.1-15.el7sat.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.3-3.el7sat.noarch
* rubygem-hammer_cli_katello-0.0.4-12.el7sat.noarch

Comment 6 Bryan Kearney 2014-09-11 12:19:45 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.